<?php
/**
* 菜单
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
*/
(!defined('IN_ADMIN') || !defined('IN_MUDDER')) && exit('Access Denied');

$arr_main = array(
    'menu' => '后台首页',
    'setting' => 'modoer|基本设置|setting|basic',
    'website' => 'shop|网站管理|classlist',
    'member' => 'member|用户管理|list',
    'content' => 'shop|内容管理|reviewlist',
    'modules' => 'modoer|模块管理|modules|manage',
    'plugins' => 'modoer|插件设置|plugins',
    'tools' => 'modoer|系统工具|datacall|list',
);
$arr_menu = array(
    array(
        'title' => '常用操作',
        'modoer|网站通知|tools|batchpm',
        'shop|分类管理|classlist',
        'member|编辑用户|list',
        'shop|审核新增商铺|checkitems',
        'shop|审核商铺点评|checkreviews',
    ),
);
$arr_setting = array(
    array(
        'title' => '系统选项',
        'modoer|基本设置|setting|basic',
        'modoer|注册可访问控制|setting|access',
        'modoer|界面与显示设置|setting|display',
        'modoer|网站功能|setting|webfunc',
        'modoer|邮件设置|setting|mail',
        'modoer|缓存设置|setting|optimize',
        'modoer|搜索引擎优化|setting|seo',
        'modoer|积分设置|setting|point',
        'modoer|输入字数限制|setting|inputlimit',
        'modoer|个人空间设置|setting|space',
        'modoer|词语过滤|filter',
    ),
    array(
        'title' => '系统整合',
        'modoer|<strong>UCenter</strong>|setting|ucenter',
        'modoer|Discuz! 6.0及以下版本|setting|discuz',
        'modoer|通行证(反向整合)|setting|passport',
    ),
);
$arr_website = array(
    array(
        'title' => '点评分类',
        'shop|添加分类|classadd',
        'shop|分类管理|classlist',
    ),
    array(
        'title' => '地区管理',
        'modoer|地区管理|area',
    ),
    array(
        'title' => '模板风格',
        'modoer|主站风格管理|template|main',
        'modoer|个人空间风格管理|template|space',
    ),
    array(
        'title' => '其他管理',
        'modoer|菜单管理|menulist',
    ),
);
$arr_member = array(
    array(
        'title' => '前台用户管理',
        'member|用户列表|list',
        'member|用户等级|userranks',
        ),
    array(
        'title' => '后台用户管理',
        'modoer|后台用户列表|cpuser|list',
        'modoer|增加后台用户|cpuser|add',
    ),
);
$arr_content = array(
    array(
        'title' => '审核',
        'shop|审核商铺|checkitems',
        'shop|审核点评|checkreviews',
        'shop|审核回应|checkresponds',
        'shop|审核图片|checkpictures',
    ),
    array(
        'title' => '主题',
        'shop|商铺管理|itemlist',
        'shop|商铺补充|itemupdate',
        'shop|商铺认领|itemapply',
        'modoer|商户风格|template|item',
        'shop|图片管理|picturelist',
        'shop|标签管理|taglist',
    ),
    array(
        'title' => '点评/回应',
        'shop|点评管理|reviewlist',
        'shop|点评举报|reviewreports',
        'shop|回应管理|respondlist',
    ),
);
$arr_others = array(
	array(
		'title' => 'JS调用',
		'jstransfer_config|JS调用设置|others',
		'jstransfer|JS调用向导|others',
	),
);
$arr_plugins = array(
    array(
        'title' => '网站插件',
        'modoer|插件管理|plugins',
    ),
);
//载入插件菜单
if($_plugins) foreach($_plugins as $plugin) {
    $pmenu = array();
    $pmenu['title'] = $plugin['name'];
    $pmenu['module'] = $plugin['module'];
    if($plugin['menu']) foreach($plugin['menu'] as $_key => $_val) {
       $pmenu[] = $_key.'|'.$_val.'|'.$_key;
    }
    $arr_plugins[] = $pmenu;
}
unset($plugin,$pmenu);

$arr_modules = array(
    array(
    'title' => '模块管理',
    'modoer|模块管理|modules|manage',
    'modoer|安装模块|modules|install',
    ),
);
//模块菜单载入
if(is_array($_modules)) {
    foreach($_modules as $key => $val) {
        if(in_array($key,array('modoer','member','space','shop'))) continue;
        $modmenus = $mmenu = array();
        @include MUDDER_ROOT.'./'.$val['directory'].'/admin/menus.inc.php';
        if($modmenus) {
            $mmenu['title'] = $val['name'];
            foreach($modmenus as $_key => $_val) {
                $mmenu[] = $_val;
            }
            $arr_modules[] = $mmenu;
        }
    }
    unset($modmenus,$mmenu);
}

$arr_tools = array(
    array(
        'title' => '网站工具',
        'modoer|网站通知|tools|batchpm',
        'modoer|更新缓存|tools|updatecache',
        'modoer|重建数据|tools|rebuild',
    ),
	array(
		'title' => '数据调用',
        'modoer|调用管理|datacall|list',
        'modoer|新增函数调用|datacall|add',
        'modoer|新增SQL调用|datacall|addsql',
	),
	array(
		'title' => 'JS调用(不推荐使用)',
        'modoer|选项设置|jstransfer|config',
        'modoer|生成调用|jstransfer|create',
	),
    array(
        'title' => '数据库管理',
        'modoer|数据备份|database|backupdatabase',
        'modoer|数据恢复|database|resetdatabase',
        'modoer|数据库信息|database|databaseinfo',
        'modoer|数据库维护|database|maintenancedatabase',
   ),
);
?>